Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman61.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman61.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman61.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman61 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.11.3 q*Ef/(m*(omega_0**2-omega**2))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman61() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman61(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman61(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.11.3 q*Ef/(m*(omega_0**2-omega**2)) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "x"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman61() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman61(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman62.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman62.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman62.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman62 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.11.17 n_0*(1+p_d*Ef*cos(theta)/(kb*T))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman62() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman62(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman62(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.11.17 n_0*(1+p_d*Ef*cos(theta)/(kb*T)) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "n"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman62() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman62(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman63.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman63.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman63.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman63 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.11.20 n_rho*p_d**2*Ef/(3*kb*T)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman63() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman63(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman63(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.11.20 n_rho*p_d**2*Ef/(3*kb*T) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "Pol"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman63() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman63(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman64.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman64.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman64.cs	(revision 17642)
@@ -6,5 +6,26 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman64 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.11.27 n*alpha/(1-(n*alpha/3))*epsilon*Ef"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman64() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman64(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman64(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get {
+        return string.Format("Feynman II.11.27 n*alpha/(1-(n*alpha/3))*epsilon*Ef | {0} samples", trainingSamples);
+      }
+    }
 
     protected override string TargetVariable { get { return "Pol"; } }
@@ -14,9 +35,8 @@
     public int Seed { get; private set; }
 
-    public Feynman64() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman64(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman65.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman65.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman65.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman65 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.11.28 1+n*alpha/(1-(n*alpha/3))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman65() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman65(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman65(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.11.28 1+n*alpha/(1-(n*alpha/3)) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "theta"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman65() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman65(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman66.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman66.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman66.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman66 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.13.17 1/(4*pi*epsilon*c**2)*2*I/r"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman66() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman66(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman66(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.13.17 1/(4*pi*epsilon*c**2)*2*I/r | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "B"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman66() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman66(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman67.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman67.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman67.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman67 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.13.23 rho_c_0/sqrt(1-v**2/c**2)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman67() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman67(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman67(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.13.23 rho_c_0/sqrt(1-v**2/c**2) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "rho_c"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman67() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman67(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman68.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman68.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman68.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman68 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.13.34 rho_c_0*v/sqrt(1-v**2/c**2)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman68() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman68(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman68(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.13.34 rho_c_0*v/sqrt(1-v**2/c**2) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "j"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman68() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman68(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman69.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman69.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman69.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman69 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.15.4 -mom*B*cos(theta)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman69() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman69(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman69(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.15.4 -mom*B*cos(theta) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "E_n"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman69() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman69(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman7.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman7.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman7.cs	(revision 17642)
@@ -1,36 +1,51 @@
-﻿using System;
+using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Threading.Tasks;
-using HeuristicLab.Common;
 using HeuristicLab.Random;
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  public class Feynman7 : FeynmanDescriptor{
- public override string Name { get { return "Feynman I.11.19 A = x1*y1+x2*y2+x3*y3"; } }
+  public class Feynman7 : FeynmanDescriptor {
+    private readonly int testSamples;
+    private readonly int trainingSamples;
 
- protected override string TargetVariable { get { return "A"; } }
-    protected override string[] VariableNames { get { return new string[] { "x1", "x2", "x3", "y1", "y2", "y3", "A"}; } }
-    protected override string[] AllowedInputVariables { get { return new string[] {"x1", "x2", "x3", "y1", "y2", "y3"}; } }
+    public Feynman7() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman7(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman7(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman I.11.19 x1*y1+x2*y2+x3*y3 | {0} samples", trainingSamples); }
+    }
+
+    protected override string TargetVariable { get { return "A"; } }
+    protected override string[] VariableNames { get { return new[] {"x1", "x2", "x3", "y1", "y2", "y3", "A"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"x1", "x2", "x3", "y1", "y2", "y3"}; } }
 
     public int Seed { get; private set; }
 
-    public Feynman7() : this((int)System.DateTime.Now.Ticks) { }
-
-    public Feynman7(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
-      var rand = new MersenneTwister((uint)Seed);
+      var rand = new MersenneTwister((uint) Seed);
 
       var data = new List<List<double>>();
-      var x1 = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
-      var x2 = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
-      var x3 = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
-      var y1 = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
-      var y2 = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
-      var y3 = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var x1   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var x2   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var x3   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var y1   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var y2   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var y3   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
 
       var A = new List<double>();
@@ -49,5 +64,4 @@
       }
 
-
       return data;
     }
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman70.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman70.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman70.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman70 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.15.5 -p_d*Ef*cos(theta)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman70() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman70(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman70(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.15.5 -p_d*Ef*cos(theta) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "E_n"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman70() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman70(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman71.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman71.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman71.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman71 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.21.32 q/(4*pi*epsilon*r*(1-v/c))"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman71() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman71(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman71(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.21.32 q/(4*pi*epsilon*r*(1-v/c)) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "Volt"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman71() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman71(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman72.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman72.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman72.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman72 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.24.17 sqrt(omega**2/c**2-pi**2/d**2)"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman72() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman72(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman72(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.24.17 sqrt(omega**2/c**2-pi**2/d**2) | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "k"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman72() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman72(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
@@ -37,4 +55,5 @@
       for (var i = 0; i < omega.Count; i++) {
         var res = Math.Sqrt(Math.Pow(omega[i], 2) / Math.Pow(c[i], 2) - Math.Pow(Math.PI, 2) / Math.Pow(d[i], 2));
+        ;
         k.Add(res);
       }
Index: branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman73.cs
===================================================================
--- branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman73.cs	(revision 17641)
+++ branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman73.cs	(revision 17642)
@@ -6,5 +6,24 @@
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
   public class Feynman73 : FeynmanDescriptor {
-    public override string Name { get { return "Feynman II.27.16 epsilon*c*Ef**2"; } }
+    private readonly int testSamples;
+    private readonly int trainingSamples;
+
+    public Feynman73() : this((int) DateTime.Now.Ticks, 10000, 10000) { }
+
+    public Feynman73(int seed) {
+      Seed            = seed;
+      trainingSamples = 10000;
+      testSamples     = 10000;
+    }
+
+    public Feynman73(int seed, int trainingSamples, int testSamples) {
+      Seed                 = seed;
+      this.trainingSamples = trainingSamples;
+      this.testSamples     = testSamples;
+    }
+
+    public override string Name {
+      get { return string.Format("Feynman II.27.16 epsilon*c*Ef**2 | {0} samples", trainingSamples); }
+    }
 
     protected override string TargetVariable { get { return "flux"; } }
@@ -14,9 +33,8 @@
     public int Seed { get; private set; }
 
-    public Feynman73() : this((int) DateTime.Now.Ticks) { }
-
-    public Feynman73(int seed) {
-      Seed = seed;
-    }
+    protected override int TrainingPartitionStart { get { return 0; } }
+    protected override int TrainingPartitionEnd { get { return trainingSamples; } }
+    protected override int TestPartitionStart { get { return trainingSamples; } }
+    protected override int TestPartitionEnd { get { return trainingSamples + testSamples; } }
 
     protected override List<List<double>> GenerateValues() {
